Bug 589370 - [abrt] crash in telepathy-butterfly-0.5.7-1.fc12: im.py:161:on_contact_presence_changed:AttributeError: 'ButterflyImChannel' object has no attribute '_offline_contact'
[abrt] crash in telepathy-butterfly-0.5.7-1.fc12: im.py:161:on_contact_presen...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:8df31bee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-05 20:40 EDT by Ivan Pacheco Martínez
Modified: 2010-12-03 10:02 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:02:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.20 KB, text/plain)
2010-05-05 20:40 EDT, Ivan Pacheco Martínez
no flags Details

  None (edit)
Description Ivan Pacheco Martínez 2010-05-05 20:40:05 EDT
abrt 1.0.9 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/libexec/telepathy-butterfly
component: telepathy-butterfly
executable: /usr/libexec/telepathy-butterfly
kernel: 2.6.32.11-99.fc12.i686
package: telepathy-butterfly-0.5.7-1.fc12
reason: im.py:161:on_contact_presence_changed:AttributeError: 'ButterflyImChannel' object has no attribute '_offline_contact'
release: Fedora release 12 (Constantine)

backtrace
-----
im.py:161:on_contact_presence_changed:AttributeError: 'ButterflyImChannel' object has no attribute '_offline_contact'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/papyon/client.py", line 330, in property_changed
    self._dispatch(method_name, contact)
  File "/usr/lib/python2.6/site-packages/papyon/event/__init__.py", line 44, in _dispatch
    if event_handler._dispatch_event(name, *args):
  File "/usr/lib/python2.6/site-packages/papyon/event/__init__.py", line 65, in _dispatch_event
    handler(*params)
  File "/usr/lib/python2.6/site-packages/butterfly/channel/im.py", line 161, in on_contact_presence_changed
    if self._offline_contact == contact and contact.presence != papyon.Presence.OFFLINE:
AttributeError: 'ButterflyImChannel' object has no attribute '_offline_contact'

Local variables in innermost frame:
self: <butterfly.channel.im.ButterflyImChannel at /org/freedesktop/Telepathy/Connection/butterfly/msn/ivanpacheko_40hotmail_2ecom/TextChannel1 at 0x87036cc>
contact: <papyon.Contact id='69d95b1a-85d5-42c8-8b92-7f5161391fae' network='1' account='funkyou12@live.com' memberships='FORWARD | ALLOW | REVERSE'>
handle: <butterfly.handle.ButterflyContactHandle object at 0x878d8ac>
Comment 1 Ivan Pacheco Martínez 2010-05-05 20:40:08 EDT
Created attachment 411770 [details]
File: backtrace
Comment 2 Bug Zapper 2010-11-03 11:32:44 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 10:02:12 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.